# what it's called on pypi
%global srcname prompt_toolkit
# what it's imported as
%global modname %{srcname}
# name of egg info directory
%global eggname %{srcname}
# package name fragment
%global pkgname %{srcname}

%global _description \
prompt_toolkit is a library for building powerful interactive command lines\
and terminal applications in Python.

# Use common documentation directory
%global _docdir_fmt %{name}

Name:           python-%{pkgname}
Version:        1.0.15
Release:        1%{?dist}
Summary:        Library for building powerful interactive command lines in Python
License:        BSD
URL:            https://github.com/jonathanslenders/python-prompt-toolkit
Source0:        %pypi_source
BuildArch:      noarch

%description %{_description}

%package -n python2-%{pkgname}
Summary:        %{summary}
BuildRequires:  python2-devel
BuildRequires:  python%{?fedora:2}-setuptools
BuildRequires:  %{?fedora:python2-}pytest
BuildRequires:  python%{?fedora:2}-pygments
BuildRequires:  python%{?fedora:2}-six >= 1.9.0
BuildRequires:  python%{?fedora:2}-wcwidth
Requires:       python%{?fedora:2}-pygments
Requires:       python%{?fedora:2}-six >= 1.9.0
Requires:       python%{?fedora:2}-wcwidth
%{?python_provide:%python_provide python2-%{pkgname}}

%description -n python2-%{pkgname} %{_description}

%package -n python%{python3_pkgversion}-%{pkgname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-pygments
BuildRequires:  python%{python3_pkgversion}-six >= 1.9.0
BuildRequires:  python%{python3_pkgversion}-wcwidth
Requires:       python%{python3_pkgversion}-pygments
Requires:       python%{python3_pkgversion}-six >= 1.9.0
Requires:       python%{python3_pkgversion}-wcwidth
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pkgname}}

%description -n python%{python3_pkgversion}-%{pkgname} %{_description}

%prep
%setup -q -n %{srcname}-%{version}
rm -r %{eggname}.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} -m pytest -v
%{__python3} -m pytest -v

%files -n python2-%{pkgname}
%doc README.rst AUTHORS.rst CHANGELOG
%license LICENSE
%{python2_sitelib}/%{modname}
%{python2_sitelib}/%{eggname}-%{version}-py%{python2_version}.egg-info

%files -n python%{python3_pkgversion}-%{pkgname}
%doc README.rst AUTHORS.rst CHANGELOG
%license LICENSE
%{python3_sitelib}/%{modname}
%{python3_sitelib}/%{eggname}-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Jul 12 2018 Carl George <carl@george.computer> - 1.0.15-1
- Latest upstream
- Use common documentation directory

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.0.14-6
- Rebuilt for Python 3.7

* Mon Feb 12 2018 Carl George <carl@george.computer> - 1.0.14-5
- Make requirements compatible with EPEL
- Build for Python 3 in EPEL
- Run test suite
- Remove duplicate provides

* Mon Feb 12 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.0.14-4
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon May 01 2017 Fabio Alessandro Locati <fale@fedoraproject.org> - 1.0.14-1
- Update to 1.0.14

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0.9-2
- Rebuild for Python 3.6

* Sun Dec 11 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 1.0.9-1
- Update to 1.0.9

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri May 06 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0

* Tue Mar 29 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.60-1
- Update to 0.60

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.57-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 12 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.57-2
- Make the EL6 package provide python-prompt_toolkit too

* Sat Jan 09 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.57-1
- New upstream update

* Wed Jan 06 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.54-2
- Fix quiet setup
- Fix license
- Add AUTHORS.rst, CHANGELOG & TODO.rst

* Tue Dec 29 2015 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.54-1
- Initial package.
